Subject: Rubymine bricks the clipboard synchronization of x2goclient(mswin32)

From: "Abt, Johannes" <[email-masked]>
Date: Mon, 28 Dec 2020 13:06:17 +0000

Package: x2goclient
Version: 4.1.2.2

Synopsis: When I use x2goclient to remotely work on RHEL7 workstation, the clipboard synchronization breaks when I start RubyMine and RubyMine restores a previous text selection. The remote and the local clipboard loose sync. From this point in time, they are entirely independent. There is a very slow work-around: suspend and resume the session. 

How to Reproduce:
* On Windows, start "Notepad"
* connect to the Linux server (here: custom session using "/usr/bin/konsole")
* install RubyMine (maybe use a 30-day trial licence; maybe ItelliJ, PyCharm, WebStorm...) on the Linux server
* start RubyMine, on the server, load a text file 
* copy the clipboard synchronization between server and client by copying text between "konsole", RubyMine and Notepad.
* select a part of the loaded text file and exit RubyMine
* re-start RubyMine; RubyMine automatically re-loads the file and restores the text selection
* try to copy&paste between server ("konsole" and "RubyMine") and client ("Notepad") and vice versa; it does not work anymore

Even if you exit RubyMine, the synchronization between server and client remains broken until you suspend and resume the session.

If you do not ever select text before exiting the RubyMine, the clipboard synchronization of X2Go keeps working.

x2go on the server side (RHEL7.4):
x2goagent-4.1.0.3-9.el7.x86_64
x2goserver-xsession-4.1.0.3-9.el7.noarch
x2goserver-common-4.1.0.3-9.el7.noarch
x2goserver-4.1.0.3-9.el7.x86_64

I have been experiencing this problem for several years.